# KotlinClosure3

class KotlinClosure3<in T, in U, in V, R : Any>(val function: (T, U, V) -> R?, owner: Any? = null, thisObject: Any? = null) : Closure<R?>

Adapts a ternary Kotlin function to a ternary Groovy Closure.

#### Parameters

T

the type of the first argument.

U

the type of the second argument.

V

the type of the third argument.

R

the return type.

function

the function to be adapted.

owner

optional owner of the Closure.

thisObject

optional this Object of the Closure.

#### See also

Closure

## Constructors

KotlinClosure3
Link copied to clipboard
constructor(function: (T, U, V) -> R?, owner: Any? = null, thisObject: Any? = null)

## Properties

delegate
Link copied to clipboard
var delegate: Any
directive
Link copied to clipboard
var directive: Int
function
Link copied to clipboard
val function: (T, U, V) -> R?
metaClass
Link copied to clipboard
var metaClass: MetaClass
owner
Link copied to clipboard
val owner: Any
resolveStrategy
Link copied to clipboard
var resolveStrategy: Int
thisObject
Link copied to clipboard
val thisObject: Any

## Functions

andThen
Link copied to clipboard
open fun <W : Any> andThen(p0: Closure<W>): Closure<W>
andThenSelf
Link copied to clipboard
open fun andThenSelf(): Closure<R?>
open fun andThenSelf(p0: Int): Closure<R?>
asWritable
Link copied to clipboard
open fun asWritable(): Closure<Any>
call
Link copied to clipboard
open override fun call(): R?
open fun call(p0: Any): R?
open fun call(vararg p0: Any): R?
clone
Link copied to clipboard
open override fun clone(): Any
compose
Link copied to clipboard
open fun compose(p0: Closure<Any>): Closure<R?>
composeSelf
Link copied to clipboard
open fun composeSelf(): Closure<R?>
open fun composeSelf(p0: Int): Closure<R?>
curry
Link copied to clipboard
open fun curry(p0: Any): Closure<R?>
open fun curry(vararg p0: Any): Closure<R?>
dehydrate
Link copied to clipboard
open fun dehydrate(): Closure<R?>
doCall
Link copied to clipboard
fun doCall(t: T, u: U, v: V): R?
getMaximumNumberOfParameters
Link copied to clipboard
open fun getMaximumNumberOfParameters(): Int
getParameterTypes
Link copied to clipboard
open fun getParameterTypes(): Array<Class<*>>
getProperty
Link copied to clipboard
open override fun getProperty(p0: String): Any
invoke
Link copied to clipboard
operator fun <T> Closure<T>.invoke(): T
operator fun <T> Closure<T>.invoke(x: Any?): T
operator fun <T> Closure<T>.invoke(vararg xs: Any?): T

Enables function invocation syntax on Closure references.

operator fun <V> Callable<V>.invoke(): V

Enables function invocation syntax on Callable references.

invokeMethod
Link copied to clipboard
open fun invokeMethod(p0: String, p1: Any): Any
isCase
Link copied to clipboard
open fun isCase(p0: Any): Boolean
leftShift
Link copied to clipboard
open fun leftShift(p0: Closure<Any>): Closure<R?>
open fun leftShift(p0: Any): R?
memoize
Link copied to clipboard
open fun memoize(): Closure<R?>
memoizeAtLeast
Link copied to clipboard
open fun memoizeAtLeast(p0: Int): Closure<R?>
memoizeAtMost
Link copied to clipboard
open fun memoizeAtMost(p0: Int): Closure<R?>
memoizeBetween
Link copied to clipboard
open fun memoizeBetween(p0: Int, p1: Int): Closure<R?>
ncurry
Link copied to clipboard
open fun ncurry(p0: Int, p1: Any): Closure<R?>
open fun ncurry(p0: Int, vararg p1: Any): Closure<R?>
rcurry
Link copied to clipboard
open fun rcurry(p0: Any): Closure<R?>
open fun rcurry(vararg p0: Any): Closure<R?>
rehydrate
Link copied to clipboard
open fun rehydrate(p0: Any, p1: Any, p2: Any): Closure<R?>
rightShift
Link copied to clipboard
open fun <W : Any> rightShift(p0: Closure<W>): Closure<W>
run
Link copied to clipboard
open override fun run()
setProperty
Link copied to clipboard
open override fun setProperty(p0: String, p1: Any)
trampoline
Link copied to clipboard
open fun trampoline(): Closure<R?>
open fun trampoline(vararg p0: Any): Closure<R?>